Subject: [SIP] Questions about Register scenario in rfc2543bis

From: Shail Bhatnagar <[email-masked]>
Date: Fri, 28 Apr 2000 10:51:46 -0400

In section 16.1 of RFC2543bis there is an example of Registration. I have
a couple of questions about this scenario. I would appreciate any responses.

1) What would be the To header of the REGISTER that T. Watson sends to
the registrar at example.com. Would it be [email-masked] or
[email-masked] ?? As per the description in section 4.2.6, To header
domain could be different from the domain of the Request-URI in the REGISTER.

2) Let us say [email-masked] (From: [email-masked]) sends an INVITE to the
proxy at bell-tel.com and the Request-URI is INVITE [email-masked].
As per the latest registration, the Contact is [email-masked], so 
the proxy at bell-tel.com rewrites the Request-URI and sends it to the
proxy at example.com - INVITE [email-masked]. Now what is the search
key at the registrar - is it user@domain or simply user. If it is simply user,
then domain of To header in REGISTER is meaningless. If it is user@domain,
then To header of the REGISTER sent to the registrar at example.com must be
[email-masked].

3) What if there already exists a user tawatson at the domain example.com.
Should the registrar at example.com reject the registration ?? If yes,
what response code should be used ??

Thanks,
Shail

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip